Build Status Coverage Status

Requerimientos

Dart 2.1.0 o superior.

Uso básico

Obtener el dígito de control de un número CLABE

import 'package:clabe_dart/clabe_dart.dart';

main() {
  computeControlDigit('03218000011835971');
}

Para validar si un número CLABE es válido

import 'package:clabe_dart/clabe_dart.dart';

main() {
  validateClabe('03218000011835971');
}

Para obtener el banco a partir de 3 dígitos

import 'package:clabe_dart/clabe_dart.dart';

main() {
  getBankName('002');
}

Libraries

clabe_dart